@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');


/* setup */
html {
  scroll-behavior: smooth;

}

body {
  font-family: 'Lato', sans-serif;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

div.reveal {
  background-color: #13223e;
  z-index: 99;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  transform-origin: right;
}

.revealAnim {
  animation: reveal 1s ease-in-out forwards;
}

@keyframes reveal {
  0% {
    transform: scaleX(1);
  }

  100% {
    transform: scaleX(0);
  }
}

.cursor {
  animation: blink 1s infinite;
}

@keyframes blink {
  0%, 100% { opacity: 1; }
  50% { opacity: 0; }
}

/* From Uiverse.io by adamgiebl */ 
.dots-container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
}

.dot {
  height: 20px;
  width: 20px;
  margin-right: 10px;
  border-radius: 10px;
  background-color: #b3d4fc;
  animation: pulse 1.5s infinite ease-in-out;
  opacity: 0.5;
  transition: 0.75s;
}

.dot:last-child {
  margin-right: 0;
}

.dot:nth-child(1) {
  animation-delay: -0.3s;
}

.dot:nth-child(2) {
  animation-delay: -0.1s;
}

.dot:nth-child(3) {
  animation-delay: 0.1s;
}

@keyframes pulse {
  0% {
    transform: scale(0.8);
    background-color: #b3d4fc;
    box-shadow: 0 0 0 0 rgba(178, 212, 252, 0.7);
  }

  50% {
    transform: scale(1.2);
    background-color: #6793fb;
    box-shadow: 0 0 0 10px rgba(178, 212, 252, 0);
  }

  100% {
    transform: scale(0.8);
    background-color: #b3d4fc;
    box-shadow: 0 0 0 0 rgba(178, 212, 252, 0.7);
  }
}

.hide {
  opacity: 0;
  transition: 0.75s;
}

body,
html {
  height: 100%;
  margin: 0;
  padding: 0;
  background-color: #13223e;
  scroll-behavior: smooth;
}

#followContainer {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

#follow-box {
  position: absolute;
  width: 30vw;
  height: 30vw;
  border-radius: 50%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: radial-gradient(rgba(27, 58, 136, 0.349), rgba(13, 20, 34, 0) 70%);
  z-index: 1;
  background-attachment: fixed;
}

.lazy-load {
  filter: blur(10px);
  transition: filter 0.3s;
}

/* nav */
.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: fixed;
  left: 50%;
  top: 25px;
  transform: translate(-50%);
  align-items: center;
  font-size: 18px;
  z-index: 3;
  width: 90%;
  height: 60px;
  background-color: #00000000;
  backdrop-filter: blur(10px);
  border-radius: 25px;
  transition: 0.5s;
}

.leftPart {
  width: 300px;
}

.rightPart {
  width: 300px;
  display: flex;
  align-items: center;
  justify-content: right;
}

.rightPart button {
  border: 0.15vw #ffffff solid;
  background-color: #00000000;
  font-size: 18px;
  color: white;
  text-decoration: none;
  color: #ffffff;
  opacity: 0.8;
  border-radius: 25px;
  margin-right: 10px;
  padding: 10px;
  transition: 0.25s;
}

.rightPart button:hover {
  background-color: rgb(255, 255, 255);
  border: 0.15vw rgb(255, 255, 255) solid;
  color: black;
  opacity: 1;
  transition: 0.25s;
  cursor: pointer;
}

.navbar-links {
  list-style: none;
  display: flex;
  margin: 0;
  padding: 0;
  margin-left: 10px;
}

.navbar-links li {
  margin: 0 5px;
}

.navbar-links li a {
  text-decoration: none;
  color: #ffffff;
  padding: 5px;
}

li a {
  opacity: 0.8;
  transition: 0.25s;
}

li a:hover {
  opacity: 1;
  transition: 0.25s;
}

/* intro */
div.intro {
  position: fixed;
  height: 100vh;
  width: 100%;
  display: block;
  text-align: center;
  overflow: hidden;
  z-index: 0;
}


.introText {
  font-size: 2vh;
  /* make 16px when 700px height < */
  color: white;
}

.intro div.image {
  height: 75vh;
  position: relative;
  top: 50%;
  transform: translateY(-50%);
}


.intro .image a {
  color: white;
  font-weight: 700;
}

.intro div.image img {
  position: relative;
  margin: auto;
  width: 45vh;
  height: 45vh;
  border-radius: 50%;
  margin-bottom: 2vh;
  animation: upDown 3s infinite;
  border: 2px solid rgba(255, 255, 255, 0.6);
}

@keyframes upDown {
  0% {
    top: 0px;
  }

  50% {
    top: -20px;
  }

  100% {
    top: 0px;
  }
}

h1 {
  font-size: 6.25vh;
  font-weight: 300;
  color: white;
  margin: 0;
  position: fixed;
  top: 15vh;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: 0.75s;
  font-weight: 400;
  width: 100%;
  text-align: center;
}

h2 {
  font-size: 5vh;
  font-weight: 300;
  opacity: 0.9;
  color: white;
  transform: translate(0, 3vh);
}

div.titleDiv {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 20vh;
}

/* .middlePart {
  color: white;
  font-size: 20px;
  opacity: 0.9;
  font-weight: 300;
  text-align: center;
  width: 300px;
} */

.titleScrolled {
  font-size: 28px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: 0.75s;
  min-width: 20vw;
}


/* scrollup */
div.place {
  width: 100%;
  height: 100vh;
}

div.scrollUpDiv {
  position: sticky;
  background-color: #0b111d;
  z-index: 2;
}

div.about {
  display: flex;
  height: 100vh;
}

.scrollUpDiv div.left {
  width: 50%;
  height: 100%;
}

.scrollUpDiv div.left img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.scrollUpDiv div.right {
  position: relative;
  width: 50%;
  height: 100%;
  justify-self: center;
  align-self: center;
  background: linear-gradient(45deg, #0b111d 0%, #162a45 50%, #0b111d 100%);
  background-size: 200% 200%;
  animation: gradientShift 10s ease infinite;
}

@keyframes gradientShift {
  0% {background-position: 0% 50%;}
  50% {background-position: 100% 50%;}
  100% {background-position: 0% 50%;}
}


.scrollUpDiv div.right div.text {
  width: 75%;
  height: 60%;
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.scrollUpDiv div.right div.text p {
  color: white;
  font-size: 18px;
}

.bodyText {
  width: 80%;
}

.bodyText p a {
  color: white;
  font-weight: bold;
}

#greeting {
  color: white;
  font-size: 36px;
  font-weight: bold;
  border-radius: 25px;
  margin-bottom: 0;
  transition: 0.25s;
}

.visible {
  opacity: 1;
  transition: 0.25s;
}

.invisible {
  opacity: 0;
  transition: 0.25s;
}

div.socialMediaIcons {
  margin-top: 25px;
  display: flex;
  gap: 20px;
}

.socialMediaIcon:hover {
  animation: shake 1s;
  animation-iteration-count: infinite;
}

@keyframes shake {
  0% {
    transform: translate(1px, 1px) rotate(0deg);
  }

  10% {
    transform: translate(-1px, -2px) rotate(-1deg);
  }

  20% {
    transform: translate(-3px, 0px) rotate(1deg);
  }

  30% {
    transform: translate(3px, 2px) rotate(0deg);
  }

  40% {
    transform: translate(1px, -1px) rotate(1deg);
  }

  50% {
    transform: translate(-1px, 2px) rotate(-1deg);
  }

  60% {
    transform: translate(-3px, 1px) rotate(0deg);
  }

  70% {
    transform: translate(3px, 1px) rotate(-1deg);
  }

  80% {
    transform: translate(-1px, -1px) rotate(1deg);
  }

  90% {
    transform: translate(1px, 2px) rotate(0deg);
  }

  100% {
    transform: translate(1px, -2px) rotate(-1deg);
  }
}

/* portfolio */
div.portfolio {
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  
}

div.arrows {
  width: 100%;
}

.carousel {
  display: block;
}

.arrows button {
  height: 50px;
  width: 25px;
  background-color: #2e2e2e;
  border: 1px #202020 solid;
  color: #cfcfcf;
  border-radius: 10px;
  font-family: inherit;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.125s;
}

.arrows button:hover {
  background-color: #252525;
  transition: 0.125s;
}

.arrows .rightArrow {
  position: absolute;
  left: 95%;
  top: 47.5%;
  transform: translate(-95%, -47.5%);
}

.arrows .leftArrow {
  position: absolute;
  left: 5%;
  top: 47.5%;
  transform: translate(-5%, -47.5%);
}

.portfolioItem {
  width: 80vw;
  height: 80vh;
  background-color: black;
  margin: auto;
  margin-top: 50px;
  display: none;
  opacity: 0;
}

.active {
  display: block;
  opacity: 0;
  animation: fadeIn 1s forwards;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.portfolioItem img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  cursor: pointer;
  transition: 0.25s;
}

.portfolioItem img:hover {
  opacity: 0.3;
  transition: 0.25s;
}

.portfolioText {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 10;
  opacity: 0;
  color: white;
  pointer-events: none;
}

.portfolioItem:hover .portfolioText {
  opacity: 1;
  transition: 0.25s;
}

.portfolioText p {
  font-weight: bold;
  font-size: 20px;
  text-align: center;
  padding: 10px;
}

div.cards {
  display: none;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
  width: 95%;
  margin: auto;
}

@media only screen and (max-width: 375px) {
  div.cards {
    width: 97.5%;
    gap: 10px;
  }
}

.card {
  width: 40vw;
  min-width: 150px;
  max-width: 200px;
  background: white;
  padding: .4em;
  border-radius: 6px;
  height: 265px;
  position: relative;
}

#portfolio a {
  text-decoration: none;
}

.card-image {
  background-color: rgb(236, 236, 236);
  width: 100%;
  height: 130px;
  border-radius: 6px 6px 0 0;
}

.card-image img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.category {
  text-transform: uppercase;
  font-size: 0.7em;
  font-weight: 600;
  color: rgb(63, 121, 230);
  padding: 10px 7px 0;
}

.category:hover {
  cursor: pointer;
}

.card .heading {
  font-weight: 600;
  color: rgb(88, 87, 87);
  padding: 7px;
  font-size: 14px;
}

.card .heading:hover {
  cursor: pointer;
}

.author {
  padding: 7px;
  color: gray;
  font-weight: 400;
  font-size: 11px;
  position: absolute;
  bottom: 0;
  padding-bottom: 10px;
}

.name {
  font-weight: 600;
}

.name:hover {
  cursor: pointer;
}

.portfolioHeading {
  width: 95%;
  margin: auto;
  margin-top: 50px;
  margin-bottom: 25px;
  font-weight: bold;
  font-size: 36px;
  color: white;
}

.mobilePortfolio {
  display: none;
}

/* contact page */
div.contactDiv {
  height: 100vh;
  width: 100%;
  display: flex;
  background-image: radial-gradient(#071025, #112244);
}

div.leftContact {
  width: 50%;
}

div.rightContact {
  width: 50%;
}

.square {
  position: absolute;
  width: 5px;
  height: 5px;
  border-radius: 5px;
  background: white;
  animation: fade 5s infinite;
}

.contactHeading {
  color: white;
  width: 50%;
  height: 50%;
  position: relative;
  top: 50%;
  left: 50%;
  font-size: 18px;
  transform: translate(-50%, -50%);
}

.connect {
  font-size: 48px;
  margin-bottom: 30px;
  font-weight: bolder;
}

.formDiv {
  width: 75%;
  height: 40%;
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

label {
  color: white;
  font-size: 18px;
  margin-bottom: 5px;
}

textarea {
  width: 75%;
  height: 75px;
  resize: none;
}


input.contactInput {
  width: 75%;
  height: 30px;
}

textarea:focus,
input.contactInput:focus {
  outline: none;
}

div.textInput {
  display: flex;
  flex-direction: column;
  margin-bottom: 25px;
}

@keyframes fade {
  0% {
    opacity: 0;
  }

  40% {
    opacity: 0.75;
  }

  55% {
    opacity: 0.75;
  }

  100% {
    opacity: 0;
  }
}

span.connection {
  padding-right: 0px;
  animation: connect 2s infinite;
}

@keyframes connect {
  0% {
    padding-right: 10px;
  }

  50% {
    padding-right: 0px;
  }

  100% {
    padding-right: 10px;
  }
}

button.rocket {
  font-family: inherit;
  font-size: 20px;
  background: royalblue;
  color: white;
  padding: 0.7em 1em;
  padding-left: 0.9em;
  display: flex;
  align-items: center;
  border: none;
  border-radius: 16px;
  overflow: hidden;
  transition: all 0.14s;
  cursor: pointer;
}

button.rocket span {
  display: block;
  margin-left: 0.3em;
  transition: all 0.2s ease-in-out;
}

button.rocket svg {
  display: block;
  transform-origin: center center;
  transition: transform 0.2s ease-in-out;
}

button.rocket:hover .svg-wrapper {
  animation: fly-1 0.4s ease-in-out infinite alternate;
}

button.rocket:hover svg {
  transform: translateX(1.2em) rotate(45deg) scale(1.1);
}

button.rocket:hover span {
  transform: translateX(5em);
}

button.rocket:active {
  transform: scale(0.95);
}

@keyframes fly-1 {
  from {
    transform: translateY(0.1em);
  }

  to {
    transform: translateY(-0.1em);
  }
}

/* footer */
div.footer {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

div.footerAll {
  padding-top: 15px;
  padding-bottom: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background-color: #0b111d;
  position: relative;
  z-index: 1;
}

.footerText {
  color: white;
  text-align: center;
  margin-bottom: 0;
}

.scrolled {
  background-color: #000000ab;
  transition: 0.5s;
  padding: 5px;
  border-radius: 25px;
}

/* Media Queries */
@media only screen and (max-width: 1024px) {

  /* portfolio */
  .carousel {
    display: none;
  }

  .mobilePortfolio {
    display: block;
  }

  #portfolio {
    display: block;
    height: auto;
    padding-bottom: 50px;
  }



  /* div.cards {
    display: block;
  } */

  /* nav */
  div.burger {
    display: block;
  }

  .navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    left: 50%;
    top: 0;
    padding: 10px;
    transform: translate(-50%);
    align-items: center;
    font-size: 18px;
    z-index: 3;
    width: 100%;
    height: 60px;
    background-color: #00000000;
    backdrop-filter: blur(10px);
    border-radius: 0;
    transition: 0.5s;
  }

  /* .middlePart {
    width: 100%;
  } */

  /* h1 {
    font-size: calc(16px + 2vw);
  } */

  .leftPart {
    display: none;
  }

  .rightPart {
    display: none;
  }

  /* intro */
  div.intro {
    position: fixed;
    height: 100vh;
    width: 100%;
    display: block;
    text-align: center;
    overflow: hidden;
    z-index: 0;
  }

  .introText {
    font-size: 18px;
    /* make 16px when 700px height < */
    color: white;
  }


  .intro .image a {
    color: white;
    font-weight: 700;
  }

  .intro div.image img {
    position: relative;
    margin: auto;
    width: 40vh;
    height: 40vh;
    border-radius: 50%;
    margin-bottom: 2vh;
    animation: upDown 3s infinite;
  }

  .image .heading {
    font-size: calc(24px + 3vw);
    font-weight: 300;
    color: white;
  }

  div.about {
    flex-direction: column;
    height: auto;
  }


  /* scrollup */
  div.place {
    width: 100%;
    height: 100vh;
  }

  .scrollUpDiv div.left {
    width: 100%;
    /* height: 3000px; */
    background: url('images/aut.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
  }


  .scrollUpDiv div.right div.text {
    width: 95%;
    /* height: 60%; */
    position: relative;
    top: 10px;
    left: 50%;
    transform: translate(-50%, 0);
  }

  .scrollUpDiv div.right {
    position: relative;
    width: 100%;
    /* height: 100%; */
    justify-self: center;
    align-self: center;
    height: auto;
    padding-bottom: 50px;
  }

  .scrollUpDiv div.right div.text p {
    color: white;
    font-size: 18px;
  }

  .bodyText {
    width: 80%;
  }

  #greeting {
    padding-top: 15px;
    margin-top: 0;
    margin-bottom: 0;
  }

  div.contactDiv {
    flex-direction: column;
    min-height: 850px;
  }


  div.leftContact {
    width: 100%;
  }

  div.rightContact {
    width: 100%;
  }

  .square {
    position: absolute;
    width: 5px;
    height: 5px;
    border-radius: 5px;
    background: white;
    animation: fade 5s infinite;
  }

  .contactHeading {
    color: white;
    text-align: center;
    width: 90%;
    height: 50%;
    position: relative;
    top: 50%;
    left: 50%;
    font-size: 18px;
    transform: translate(-50%, -50%);
  }

  .connect {
    font-size: 7vw;
    margin-bottom: 15px;
    font-weight: bolder;
  }

  .formDiv {
    width: 75%;
    height: 40%;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  label {
    color: white;
    font-size: 18px;
    margin-bottom: 5px;
  }

  textarea {
    width: 100%;
    height: 75px;
    resize: none;
  }


  input.contactInput {
    width: 100%;
    height: 30px;
  }

  textarea:focus,
  input.contactInput:focus {
    outline: none;
  }

  div.textInput {
    display: flex;
    flex-direction: column;
    margin-bottom: 25px;
  }

  .scrolled {
    background-color: #000000ab;
    transition: 0.5s;
    padding: 10px;
    border-radius: 0;
  }

  #title {
    font-size: 28px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: 0.75s;
  }

  #nav {
    background-color: #000000ab;
    transition: 0.5s;
    padding: 10px;
    border-radius: 0;
  }

}



@media only screen and (max-width: 800px) {
  .image .heading {
    font-size: calc(7.5vw);
    font-weight: 300;
    color: white;
  }

  #followContainer {
    display: none;
  }

  .html, body {
    background: radial-gradient(rgba(29, 65, 156, 0.349), rgba(13, 20, 34, 0) 80%);
  }
  
    h2 {
    font-size: min(10vw,48px);
  }

  
  

}

@media only screen and (max-height: 700px) {
  div.contactDiv {
    min-height: 650px;
  }

  .contactHeading {
    color: white;
    width: 50%;
    height: 50%;
    position: relative;
    top: 50px;
    left: 50%;
    font-size: 18px;
    transform: translate(-50%);
  }
  
  
  .formDiv {
    width: 75%;
    height: 40%;
    position: relative;
    top: 100px;
    left: 50%;
    transform: translate(-50%);
  }
}